<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  xmlns:nkfn="/WEB-INF/nekurakFunkce"
	  version="2.0">

    <jsp:directive.attribute name="podnik" type="cz.frantovo.nekurak.dto.Podnik" required="true"/>

    <div class="komentare">
	<h3><fmt:message key="komentare.vypisNadpis"/></h3>

	<!-- Zatím nikdo nekomentoval? -->
	<c:if test="${fn:length(podnik.komentare) == 0}">
	    <p><fmt:message key="komentare.zadneKomentare"/></p>
	</c:if>

	<!-- Komentovat! -->
	<c:choose>
	    <c:when test="${prihlasenyUzivatel == null}">
		<p><fmt:message key="komentare.prihlasitSe"/></p>
	    </c:when>
	    <c:otherwise>
		<p><a href="javascript:komentare.zobrazFormular()"><fmt:message key="komentare.komentovat"/></a></p>
		<div id="formularKomentuj" style="display: none;">
		    <p>tady bude formulář</p>
		</div>
	    </c:otherwise>
	</c:choose>

	<!-- Výpis komentářů -->
	<c:forEach var="k" items="${podnik.komentare}">
	    <div class="komentar">
		<h4>
		    Napsal: <c:out value="${k.uzivatel}" />,
		    <fmt:formatDate value="${k.datum}" pattern="dd. MMMM yyyy HH:mm"/>
		    <br/>
		    Předmět: <c:out value="${k.nadpis}" />
		</h4>
		<!-- Pozor: předpokládáme, že v DB jsou pouze zkontrolovaná data -->
		<c:out value="${k.komentar}" escapeXml="false" />
	    </div>
	</c:forEach>
    </div>

</jsp:root>